;* ******************************************************* *
;*                     GO_INT.ASM                          *
;*             (c) 1993 Holger Suhr & DMV                  *
;* ******************************************************* *

;* ******************************************************* *
;*  Aufruf eines Folgeinterrupts                           *
;*                                                         *
;*  Wiederherstellung aller Register --                    *
;*  Daher nur aus einer C-Interruptfunktionen aufrufbar    *
;*  es erfolgt ein JMP... daher KEINE Rckkehr hierher     *

_TEXT   segment byte public 'CODE'
    assume  cs:_TEXT

old  dd ?

_go_int proc    near
    pop     ax               ; Returnadresse fr go_int()
    pop     word ptr [old]   ; bergabe-parameter
    pop     word ptr [old+2] ; bergabe-parameter

    mov     sp,bp           ; Lokale Deklarationen verwerfen
    mov     ax,[bp+22]
    push    ax
    popf
    pop     bp               ; Register restaurieren
    pop     di
    pop     si
    pop     ds
    pop     es
    pop     dx
    pop     cx
    pop     bx
    pop     ax

    jmp     dword ptr [old]  ; Sprung zur Interrupt-Funktion

_go_int endp
_TEXT   ends
    public  _go_int
    end
;* ******************************************************* *
;*                Ende von GO_INT.ASM                      *

 
