(*========================================================*)
(*                        FONTS.PAS                       *)
(* Bindet alle Standardschriften ein und registriert sie  *)
(*========================================================*)
{$I xgraph.h}

Unit Fonts;

INTERFACE

  PROCEDURE SmallFontProc;
  PROCEDURE TriplexFontProc;
  PROCEDURE SansSerifFontProc;
  PROCEDURE GothicFontProc;

IMPLEMENTATION

  USES
    Graph;

  PROCEDURE SmallFontProc;     EXTERNAL; {$L LITT.OBJ}
  PROCEDURE TriplexFontProc;   EXTERNAL; {$L TRIP.OBJ}
  PROCEDURE SansSerifFontProc; EXTERNAL; {$L SANS.OBJ}
  PROCEDURE GothicFontProc;    EXTERNAL; {$L GOTH.OBJ}

  VAR
    dummy : INTEGER;

BEGIN
  dummy := RegisterBGIFont(@SmallFontProc);
  dummy := RegisterBGIFont(@TriplexFontProc);
  dummy := RegisterBGIFont(@SansSerifFontProc);
  dummy := RegisterBGIFont(@GothicFontProc);
END.

(*========================================================*)
(*                   Ende von FONTS.PAS                   *)
