(* ****************************************************** *)
(*                      TXTFONT.PAS                       *)
(*               EGA/VGA-Zeichensatz-Routinen             *)
(*              (c) 1993 Andres Cvitkovich & DMV          *)
(* ****************************************************** *)
UNIT TxtFont;

INTERFACE

TYPE
  foBitmap = ARRAY [0..31] OF BYTE;
  foAllBMP = ARRAY [0..255] OF foBitmap;

VAR
  foData : foAllBMP ABSOLUTE $A000:0;
                               { Bitmap-Array der Zeichen }
  CharHeight : WORD ABSOLUTE $40:$85;
                         { akt. Hhe der Zeichen in Pixel }

  PROCEDURE MapFont;
  PROCEDURE UnmapFont;

IMPLEMENTATION

  PROCEDURE MapFont; ASSEMBLER;
  ASM
    XOR   AH, AH
    MOV   DX, 3C4h
    MOV   AL, 2
    OUT   DX, AL
    INC   DL
    MOV   AL, 4
    OUT   DX, AL
    DEC   DL
    MOV   AL, 4
    OUT   DX, AL
    INC   DL
    MOV   AL, 7
    OUT   DX, AL
    DEC   DL
    MOV   DL, 0CEh
    MOV   AL, 5
    OUT   DX, AL
    INC   DL
    MOV   AL, 0
    OUT   DX, AL
    DEC   DL
    MOV   AL, 6
    OUT   DX, AL
    INC   DL
    MOV   AL, 4
    OUT   DX, AL
    DEC   DL
    MOV   AL, 4
    OUT   DX, al
    INC   DL
    MOV   AL, 2
    OUT   DX, AL
    DEC   DL
  END;

  PROCEDURE UnmapFont; ASSEMBLER;
  ASM
    XOR   AH, AH
    MOV   DX, 3C4h
    MOV   AL, 2
    OUT   DX, AL
    INC   DL
    MOV   AL, 3
    OUT   DX, AL
    DEC   DL
    MOV   AL, 4
    OUT   DX, AL
    INC   DL
    MOV   AL, 3
    OUT   DX, AL
    DEC   DL
    MOV   DL, 0CEh
    MOV   AL, 5
    OUT   DX, AL
    INC   DL
    MOV   AL, 10h
    OUT   DX, AL
    DEC   DL
    MOV   AL, 6
    OUT   DX, AL
    INC   DL
    MOV   AL, 0Eh
    OUT   DX, AL
    DEC   DL
    MOV   AL, 4
    OUT   DX, AL
    INC   DL
    MOV   AL, 00h
    OUT   DX, AL
    DEC   dl
  END;

END.
(* ****************************************************** *)
(*                  Ende von TXTFONT.PAS                  *)
