(*========================================================*)
(*                       DRIVERS.PAS                      *)
(*             (C) 1993 Jrg Braun & DMV-Verlag           *)
(*    Bindet alle BGI-Treiber ein und registriert sie     *)
(*========================================================*)
{$I xgraph.h}

UNIT Drivers;

INTERFACE

  PROCEDURE EGAVGADriverProc;
  PROCEDURE CGADriverProc;
  PROCEDURE HercDriverProc;
  PROCEDURE SVGADriverProc;
  PROCEDURE IBM8514DriverProc;
  PROCEDURE PC3270DriverProc;   
  PROCEDURE ATT400DriverProc;   

IMPLEMENTATION

  USES
    XGraph;

  VAR
    dummy : INTEGER;

  PROCEDURE EGAVGADriverProc;  EXTERNAL; {$L EGAVGA.OBJ}
  PROCEDURE CGADriverProc;     EXTERNAL; {$L CGA.OBJ}
  PROCEDURE HercDriverProc;    EXTERNAL; {$L HERC.OBJ}
  PROCEDURE SVGADriverProc;    EXTERNAL; {$L SVGA.OBJ}
  PROCEDURE IBM8514DriverProc; EXTERNAL; {$L IBM8514.OBJ}
  PROCEDURE PC3270DriverProc;  EXTERNAL; {$L PC3270.OBJ}
  PROCEDURE ATT400DriverProc;  EXTERNAL; {$L ATT.OBJ}

BEGIN
  dummy := RegisterBGIDriver(@EGAVGADriverProc);
  dummy := RegisterBGIDriver(@CGADriverProc);
  dummy := RegisterBGIDriver(@HercDriverProc);
  dummy := RegisterBGIDriver(@SVGADriverProc);
  dummy := RegisterBGIDriver(@IBM8514DriverProc);   
  dummy := RegisterBGIDriver(@PC3270DriverProc);
  dummy := RegisterBGIDriver(@ATT400DriverProc);    
END.

(*========================================================*)
(*                   Ende von DRIVERS.PAS                 *)
