(*========================================================*)
(*                       XFONTS.PAS                       *)
(*            (C) 1993 Jrg Braun & DMV-Verlag            *)
(* Bindet alle erweiterten Fonts ein und registriert sie  *)
(*========================================================*)
{$I xgraph.h}

Unit XFonts;

INTERFACE

  PROCEDURE ScriptFontProc;      
  PROCEDURE SimplexFontProc;
  PROCEDURE TSCRFontProc;
  PROCEDURE LightFontProc;
  PROCEDURE EuroFontProc;

IMPLEMENTATION

USES
  Graph;

  VAR
    ScriptFont,
    TSCRFont,
    SimplexFont,
    LightFont,
    EuroFont : INTEGER;
  
  PROCEDURE ScriptFontProc;   EXTERNAL; {$L SCRI.OBJ}
  PROCEDURE SimplexFontProc;  EXTERNAL; {$L SIMP.OBJ}
  PROCEDURE TSCRFontProc;     EXTERNAL; {$L TSCR.OBJ}
  PROCEDURE LightFontProc;    EXTERNAL; {$L LCOM.OBJ}
  PROCEDURE EuroFontProc;     EXTERNAL; {$L EURO.OBJ}

BEGIN
  ScriptFont  := RegisterBGIFont(@ScriptFontProc);
  SimplexFont := RegisterBGIFont(@SimplexFontProc);
  TSCRFont    := RegisterBGIFont(@TSCRFontProc);
  LightFont   := RegisterBGIFont(@LightFontProc);
  EuroFont    := RegisterBGIFont(@EuroFontProc);
END.

(*========================================================*)
(*                Ende von XFONTS.PAS                     *)
